NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-rate_limits-rate_limit_id - Documentation for the /organization/projects/{project_id}/rate_limits/{rate_limit_id} path.

OPERATIONS

POST /organization/projects/{project_id}/rate_limits/{rate_limit_id}

update-project-rate-limits

$client->update_project_rate_limits({
    body => { ... },
});

Updates a project rate limit.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • rate_limit_id (in path, required, string) - The ID of the rate limit.

Responses

200 - Project rate limit updated successfully.

Content-Type: application/json

Example:

{
   "id" : "rl_ada",
   "max_images_per_1_minute" : 10,
   "max_requests_per_1_minute" : 600,
   "max_tokens_per_1_minute" : 150000,
   "model" : "ada",
   "object" : "project.rate_limit"
}

400 - Error response for various conditions.

Content-Type: application/json

Example:

{
   "error" : {
      "code" : "string",
      "message" : "string",
      "param" : "string",
      "type" : "string"
   }
}

SCHEMAS

Error

Properties:

  • code (anyOf, required)

  • message (string, required)

  • param (anyOf, required)

  • type (string, required)

ErrorResponse

Properties:

  • error (Error, required)

    See "Error" below for shape.

ProjectRateLimit

Properties:

  • batch_1_day_max_input_tokens (integer) - The maximum batch input tokens per day. Only present for relevant models.

  • id (string, required) - The identifier, which can be referenced in API endpoints.

  • max_audio_megabytes_per_1_minute (integer) - The maximum audio megabytes per minute. Only present for relevant models.

  • max_images_per_1_minute (integer) - The maximum images per minute. Only present for relevant models.

  • max_requests_per_1_day (integer) - The maximum requests per day. Only present for relevant models.

  • max_requests_per_1_minute (integer, required) - The maximum requests per minute.

  • max_tokens_per_1_minute (integer, required) - The maximum tokens per minute.

  • model (string, required) - The model this rate limit applies to.

  • object (string, required) - The object type, which is always project.rate_limit

    Allowed values: project.rate_limit

ProjectRateLimitUpdateRequest

Properties:

  • batch_1_day_max_input_tokens (integer) - The maximum batch input tokens per day. Only relevant for certain models.

  • max_audio_megabytes_per_1_minute (integer) - The maximum audio megabytes per minute. Only relevant for certain models.

  • max_images_per_1_minute (integer) - The maximum images per minute. Only relevant for certain models.

  • max_requests_per_1_day (integer) - The maximum requests per day. Only relevant for certain models.

  • max_requests_per_1_minute (integer) - The maximum requests per minute.

  • max_tokens_per_1_minute (integer) - The maximum tokens per minute.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.